Skip to main content
GET
/
api
/
v1
/
cts
/
{id}
cURL
curl --request GET \
  --url https://api.capedigital.co.ke/commercial/api/v1/cts/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "channel": "<string>",
  "date": "2023-12-25",
  "day_of_week": "<string>",
  "title": "<string>",
  "uploaded_by": "<string>",
  "slot_count": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "slots": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "order": 123,
      "company": "<string>",
      "advert_name": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "time_slot": "<string>",
      "campaign_end_date": "2023-12-25",
      "metadata": "<unknown>"
    }
  ],
  "metadata": "<unknown>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.capedigital.co.ke/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your JWT token in the format: Bearer

Path Parameters

id
string<uuid>
required

A UUID string identifying this Commercial Transmission Schedule.

Response

200 - application/json
id
string<uuid>
required
read-only
medium
enum<string>
required
  • TV - TV
  • RADIO - Radio
  • DIGITAL - Digital
Available options:
TV,
RADIO,
DIGITAL
channel
string
required
Maximum string length: 100
date
string<date>
required
day_of_week
string
required
Maximum string length: 20
title
string
required
Maximum string length: 255
uploaded_by
string
required
read-only
slot_count
integer
required
read-only
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
slots
object[]
required
read-only
metadata
any